<?php
// -----------------------------------------------------------------------
//
// $Id: mysql.php 8 2012-01-21 09:59:39Z root $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

class mysql
{
    // ---------------------------
    var $host = SQL_HOST;
    var $port = SQL_PORT;
    var $user = SQL_USER;
    var $password = SQL_PASSWORD;
    var $database = SQL_DATABASE;
    // ---------------------------
    var $link_id;
    var $num_queries = 0;
    var $query_id;
    // ---------------------------

    function close()
    {
        return ($this->link_id) ? @mysql_close($this->link_id) : false;
    }

    function connect()
    {
        $server = $this->host . (($this->port) ? ':' . $this->port : '');
        $this->link_id = @mysql_connect($server, $this->user, $this->password);
        @mysql_select_db($this->database, $this->link_id);
        return ($this->link_id) ? $this->link_id : $this->error('');
    }

    function error($sql)
    {
        if (!$this->link_id)
        {
            echo 'Connection to MySQL server has failed.';
        }
        if (!$this->query_id)
        {
            printf('Error in query "%s".', $sql);
        }
        exit();
    }

    function fetch()
    {
        return ($this->query_id) ? @mysql_fetch_array($this->query_id) : false;
    }

    function insert_id()
    {
        return ($this->link_id) ? @mysql_insert_id($this->link_id) : false;
    }

    function num_queries()
    {
        return $this->num_queries;
    }

    function num_rows()
    {
        return ($this->query_id) ? @mysql_num_rows($this->query_id) : false;
    }

    function query($sql = '')
    {
        if (!$this->connect())
        {
            return false;
        }
        elseif ($sql != '')
        {
            $this->num_queries++;
            $this->query_id = @mysql_query($sql, $this->link_id);
            if ($this->query_id)
            {
                return $this->query_id;
            }
            else
            {
                return $this->error($sql);
            }
        }
        else
        {
            return false;
        }
    }
}

?>