<?php
// -----------------------------------------------------------------------
//
// $Id: view.php 8 2012-01-21 09:59:39Z root $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['POLLS_VIEW_TITLE']);

// Check query
if (!empty($_GET['question_id']))
{
    $sql->query('SELECT question_text, question_votes
                 FROM ' . TABLE_QUESTIONS . '
                 WHERE question_id = \'' . $_GET['question_id'] . '\'');
    $table_questions = $sql->fetch();
    // Check question
    if (!$table_questions['question_text'])
    {
        error_template($lang['POLLS_VIEW_ERROR']);
    }
    else
    {
        $template->set_file('view', 'polls/view.htpl');
        $template->set_block('view', 'ANSWERS_BLOCK', 'answers');
        $sql->query('SELECT answer_text, answer_votes
                     FROM ' . TABLE_ANSWERS . '
                     WHERE question_id = \'' . $_GET['question_id'] . '\'
                     ORDER BY answer_id');
        while ($table_answers = $sql->fetch())
        {
            if ($table_questions['question_votes'] == 0)
            {
                $image_width = 0;
            }
            else
            {
                $image_width = round(($table_answers['answer_votes'] / $table_questions['question_votes']) * 100);
            }
            $template->set_var(array('ANSWER_TEXT' => $table_answers['answer_text'],
                                     'ANSWER_VOTES' => $table_answers['answer_votes'],
                                     'IMAGE_WIDTH' => $image_width));
            $template->parse('ANSWERS_BLOCK', 'answers', true);
        }
        $template->set_var(array('BACK_HOME' => $lang['BACK_HOME'],
                                 'POLLS_VIEW_HEADER' => $lang['POLLS_VIEW_HEADER'],
                                 'POLLS_VIEW_OTHER' => $lang['POLLS_VIEW_OTHER'],
                                 'QUESTION_TEXT' => $table_questions['question_text'],
                                 'QUESTION_VOTES' => sprintf($lang['POLLS_VIEW_TOTAL'], $table_questions['question_votes'])));
        $template->parse('view');
    }
}
else
{
    error_template($lang['POLLS_VIEW_ERROR']);
}

page_footer();

?>