<?php
// -----------------------------------------------------------------------
//
// $Id: advanced.php 8 2012-01-21 09:59:39Z root $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['ADMIN_INDEX_TITLE']);

// Administrator ?
if ($users['user_level'] < 4)
{
    error_template($lang['ADMIN_ADVANCED_ERROR']);
}
else
{
    $template->set_file('admin', 'admin/advanced.htpl');
    $template->set_var(array('ADMIN_ADVANCED_HEADER' => $lang['ADMIN_ADVANCED_HEADER'],
                             'ADMIN_ADVANCED_LINK1' => $lang['ADMIN_ADVANCED_LINK1'],
                             'ADMIN_ADVANCED_LINK2' => $lang['ADMIN_ADVANCED_LINK2'],
                             'ADMIN_ADVANCED_LINK3' => $lang['ADMIN_ADVANCED_LINK3'],
                             'ADMIN_ADVANCED_LINK4' => $lang['ADMIN_ADVANCED_LINK4'],
                             'ADMIN_ADVANCED_LINK5' => $lang['ADMIN_ADVANCED_LINK5'],
                             'ADMIN_ADVANCED_LINK6' => $lang['ADMIN_ADVANCED_LINK6'],
                             'ADMIN_ADVANCED_LINK7' => $lang['ADMIN_ADVANCED_LINK7'],
                             'ADMIN_ADVANCED_LINK8' => $lang['ADMIN_ADVANCED_LINK8'],
                             'ADMIN_ADVANCED_LINK9' => $lang['ADMIN_ADVANCED_LINK9'],
                             'ADMIN_ADVANCED_LINK10' => $lang['ADMIN_ADVANCED_LINK10'],
                             'ADMIN_IMG_CATEGORIES' => $lang['ADMIN_IMG_CATEGORIES'],
                             'ADMIN_IMG_POLLS' => $lang['ADMIN_IMG_POLLS'],
                             'ADMIN_IMG_SETTINGS' => $lang['ADMIN_IMG_SETTINGS'],
                             'ADMIN_IMG_SMILIES' => $lang['ADMIN_IMG_SMILIES'],
                             'ADMIN_IMG_TEMPLATES' => $lang['ADMIN_IMG_TEMPLATES'],
                             'ADMIN_IMG_USERS' => $lang['ADMIN_IMG_USERS'],
                             'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX']));
    $template->parse('admin');
}

page_footer();

?>