<?php
// -----------------------------------------------------------------------
//
// $Id: english.php 8 2012-01-21 09:59:39Z root $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------
//
// Don't forget to escape single quotes ' with a backslash \ in
// replacement strings.
//
// Example: 'REFERENCE' => 'You\'re using GENU'
//
// You must use double quotes " if replacement string contains escape
// chars like newline \n .
//
// Example: 'REFERENCE' => 'Hello<br />' or 'REFERENCE' => "Hello\n"
//
// -----------------------------------------------------------------------

$lang = array(
/**************************/
/***** Administration *****/
/**************************/
'ADMIN_ADVANCED_ERROR' => 'You are not allowed to access to the advanced administration section.',
'ADMIN_ADVANCED_HEADER' => 'This section allows you to perform advanced actions.',
'ADMIN_ADVANCED_LINK1' => 'Edit settings',
'ADMIN_ADVANCED_LINK2' => 'Add categories',
'ADMIN_ADVANCED_LINK3' => 'Edit categories',
'ADMIN_ADVANCED_LINK4' => 'Add smilies',
'ADMIN_ADVANCED_LINK5' => 'Edit smilies',
'ADMIN_ADVANCED_LINK6' => 'Add polls',
'ADMIN_ADVANCED_LINK7' => 'Edit polls',
'ADMIN_ADVANCED_LINK8' => 'Edit users',
'ADMIN_ADVANCED_LINK9' => 'Purge users',
'ADMIN_ADVANCED_LINK10' => 'Edit templates',
'ADMIN_CATEGORIES_ADDED' => 'The category was successfully added.',
'ADMIN_CATEGORIES_DELETED' => 'The category was successfully deleted.',
'ADMIN_CATEGORIES_EDITED' => 'The category was successfully edited.',
'ADMIN_CATEGORIES_ERROR1' => 'The category name you entered is already in use.<br />',
'ADMIN_CATEGORIES_ERROR2' => 'The directory \'%s\' is not writable. Please change the permissions of directory to be writable by all.<br />',
'ADMIN_CATEGORIES_ERROR3' => 'The image file already exists.<br />',
'ADMIN_CATEGORIES_ERROR4' => 'Invalid image file or an error occured while moving uploaded file.',
'ADMIN_CATEGORIES_ERROR5' => 'The category cannot be edited because there are always posts that belong to it. If you really want to edit this category, you must delete these posts.',
'ADMIN_CATEGORIES_ERROR6' => 'The category cannot be edited because there are always news that belong to it. If you really want to edit this category, you must delete these news.',
'ADMIN_CATEGORIES_ERROR7' => 'The category cannot be deleted because there are always news or posts that belong to it. If you really want to delete this category, you must delete these news or posts.',
'ADMIN_CATEGORIES_HEADER1' => 'Add a category',
'ADMIN_CATEGORIES_HEADER2' => 'Edit categories',
'ADMIN_CATEGORIES_HEADER3' => 'If you don\'t want to edit the current image, leave the category image field empty.',
'ADMIN_CATEGORIES_LEVEL0' => 'news only',
'ADMIN_CATEGORIES_LEVEL1' => 'forum only',
'ADMIN_CATEGORIES_LEVEL2' => 'news and forum',
'ADMIN_CATEGORIES_LEVEL3' => 'private (forum)',
'ADMIN_COMMENTS_DELETED' => 'The comment was successfully deleted.',
'ADMIN_COMMENTS_EDITED' => 'The comment was successfully edited.',
'ADMIN_COMMENTS_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'ADMIN_IMG_ADVANCED' => 'Advanced administration section',
'ADMIN_IMG_CATEGORIES' => 'Categories',
'ADMIN_IMG_MEDIAS' => 'Medias',
'ADMIN_IMG_NEWS' => 'News',
'ADMIN_IMG_POLLS' => 'Polls',
'ADMIN_IMG_SETTINGS' => 'Settings',
'ADMIN_IMG_SMILIES' => 'Smilies',
'ADMIN_IMG_TEMPLATES' => 'Templates',
'ADMIN_IMG_USERS' => 'Users',
'ADMIN_INDEX_ERROR' => 'You are not allowed to access to the administration section.',
'ADMIN_INDEX_HEADER' => 'This section allows you to perform standard actions.',
'ADMIN_INDEX_LINK1' => '<a href="./../admin/medias.php" title="Add medias">Add medias</a>',
'ADMIN_INDEX_LINK2' => '<a href="./../admin/news.php?action=add_news" title="Add news">Add news</a>',
'ADMIN_INDEX_LINK3' => '<br /><a href="./../admin/news.php?action=view_submitted_news" title="Add submitted news">Add submitted news</a> (%s)',
'ADMIN_INDEX_LINK4' => '<br /><a href="./../admin/news.php?action=view_news" title="Edit news">Edit news</a>',
'ADMIN_INDEX_LINK5' => '<a href="./../admin/advanced.php" title="Advanced administration section">Advanced administration section</a>',
'ADMIN_INDEX_TITLE' => 'Administration - Index',
'ADMIN_LEVEL_ERROR' => 'You are not allowed to access this section.',
'ADMIN_MEDIAS_ADDED' => 'The file was successfully added.',
'ADMIN_MEDIAS_DELETED' => 'The file was successfully deleted.',
'ADMIN_MEDIAS_ERROR1' => 'The directory \'%s\' is not writable. Please change the permissions of directory to be writable by all.<br />',
'ADMIN_MEDIAS_ERROR2' => 'The file already exists.<br />',
'ADMIN_MEDIAS_ERROR3' => 'Please remove the extension.<br />',
'ADMIN_MEDIAS_ERROR4' => 'Invalid file or an error occured while moving uploaded file.',
'ADMIN_MEDIAS_HEADER' => 'Add a file',
'ADMIN_NEWS_ADDED' => 'The news was successfully added.',
'ADMIN_NEWS_DELETED' => 'The news was successfully deleted.',
'ADMIN_NEWS_EDITED' => 'The news was successfully edited.',
'ADMIN_NEWS_ERROR' => 'The news cannot be deleted because there are always comments that belong to it. If you really want to delete this news, you must delete these comments.',
'ADMIN_NEWS_HEADER1' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'ADMIN_NEWS_HEADER2' => 'View submitted news',
'ADMIN_NEWS_HEADER3' => 'Add submitted news',
'ADMIN_NEWS_HEADER4' => 'View news',
'ADMIN_NEWS_HEADER5' => 'Edit news',
'ADMIN_NEWS_PAGES' => 'Page: %s',
'ADMIN_NEWS_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'ADMIN_POLLS_ADDED' => 'The poll was successfully added.',
'ADMIN_POLLS_DELETED' => 'The poll was successfully deleted.',
'ADMIN_POLLS_EDITED' => 'The poll was successfully edited.',
'ADMIN_POLLS_EXAMPLE' => "Answer #1\nAnswer #2\nAnswer #3",
'ADMIN_POLLS_HEADER1' => 'Answers should be separated by a new line (see example).',
'ADMIN_POLLS_HEADER2' => 'Edit polls',
'ADMIN_POLLS_HEADER3' => 'Edit poll',
'ADMIN_POLLS_PAGES' => 'Page: %s',
'ADMIN_POSTS_DELETED' => 'The post was successfully deleted.',
'ADMIN_POSTS_EDITED' => 'The post was successfully edited.',
'ADMIN_POSTS_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'ADMIN_QUERY_ERROR' => 'Error in query!',
'ADMIN_SETTINGS_HEADER' => 'Edit settings',
'ADMIN_SETTINGS_SUCCESS' => 'Settings were successfully edited.',
'ADMIN_SMILIES_ADDED' => 'The smiley was successfully added.',
'ADMIN_SMILIES_DELETED' => 'The smiley was successfully deleted.',
'ADMIN_SMILIES_EDITED' => 'The smiley was successfully edited.',
'ADMIN_SMILIES_ERROR1' => 'The smiley code you entered is already in use.<br />',
'ADMIN_SMILIES_ERROR2' => 'The directory \'%s\' is not writable. Please change the permissions of directory to be writable by all.<br />',
'ADMIN_SMILIES_ERROR3' => 'The image file already exists.<br />',
'ADMIN_SMILIES_ERROR4' => 'Invalid image file or an error occured while moving uploaded file.',
'ADMIN_SMILIES_HEADER1' => 'Add a smiley',
'ADMIN_SMILIES_HEADER2' => 'Edit smilies',
'ADMIN_SMILIES_HEADER3' => 'If you don\'t want to edit the current image, leave the smiley image field empty.',
'ADMIN_TEMPLATES_ERROR' => 'The file \'%s\' is not writable. Please change the permissions of file to be writable by all.',
'ADMIN_TEMPLATES_HEADER1' => 'Please select which template file you want to edit.',
'ADMIN_TEMPLATES_HEADER2' => 'Caution: do not edit template variables delimited by &#123; and &#125; (example: &#123;BACK_HOME&#125;).',
'ADMIN_TEMPLATES_EDITED' => 'The template file was successfully edited.',
'ADMIN_USERS_DELETED' => 'The user was successfully deleted.',
'ADMIN_USERS_EDITED' => 'The user was successfully edited.',
'ADMIN_USERS_ERROR' => 'The user cannot be deleted because there are always comments or posts that belong to him. If you really want to delete this user, you must delete these comments or posts.',
'ADMIN_USERS_HEADER1' => 'View users',
'ADMIN_USERS_HEADER2' => 'Date format is based on <a href="http://www.php.net/en/date" title="PHP date function">PHP date function</a> (example: D, M jS Y, g:i a).',
'ADMIN_USERS_LEVEL0' => 'banned user',
'ADMIN_USERS_LEVEL1' => 'public user',
'ADMIN_USERS_LEVEL2' => 'user can add news',
'ADMIN_USERS_LEVEL3' => 'user can add and edit news',
'ADMIN_USERS_LEVEL4' => 'administrator',
'ADMIN_USERS_PAGES' => 'Page: %s',
'ADMIN_USERS_PURGED' => 'Users were successfully purged.',
/********************/
/***** Comments *****/
/********************/
'COMMENTS_ADD_ERROR1' => 'Your last comment is less than %s seconds old. Please wait.',
'COMMENTS_ADD_ERROR2' => 'This page contains no data.',
'COMMENTS_ADD_ERROR3' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'COMMENTS_ADD_SUCCESS' => 'The comment was successfully added.',
'COMMENTS_ADD_TITLE' => 'Comments - Add',
'COMMENTS_EDIT_ERROR1' => 'You are not allowed to edit this comment.',
'COMMENTS_EDIT_ERROR2' => 'This page contains no data.',
'COMMENTS_EDIT_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'COMMENTS_EDIT_SUCCESS' => 'The comment was successfully edited.',
'COMMENTS_EDIT_TITLE' => 'Comments - Edit',
'COMMENTS_INDEX_EDIT' => 'Edit this comment',
'COMMENTS_INDEX_EDITION' => '<br />-- <span style="font-size: 9px; font-style: italic;">Edited on %s</span> --',
'COMMENTS_INDEX_ERROR1' => 'This page contains no data.',
'COMMENTS_INDEX_ERROR2' => 'No comment available.',
'COMMENTS_INDEX_HEADER' => 'You must be <a href="./../users/login.php" title="Log in">logged</a> in to add comments.<br /><br />If HTML language is enabled and you want to use it, please check start and end tags.',
'COMMENTS_INDEX_PAGES' => 'Page: %s',
'COMMENTS_INDEX_PREVIOUS' => 'Re: ',
'COMMENTS_INDEX_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'COMMENTS_INDEX_RELEASE2' => 'Re: <a href="./../comments/index.php?news_id=%s&amp;story_id=%s" title="%4$s"><span class="%s">%s</span></a> by <a href="./../users/info.php?user_id=%s" title="%6$s">%s</a> on %s',
'COMMENTS_INDEX_REPLY' => 'Reply to this comment',
'COMMENTS_INDEX_TITLE' => 'Comments - Index',
'COMMENTS_PREVIEW_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'COMMENTS_PREVIEW_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'COMMENTS_REPLY_ERROR1' => 'This page contains no data.',
'COMMENTS_REPLY_ERROR2' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'COMMENTS_REPLY_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'COMMENTS_REPLY_TITLE' => 'Comments - Reply',
'COMMENTS_SEARCH_ERROR1' => 'More than %s comments contain the search string. Please specify your search.',
'COMMENTS_SEARCH_ERROR2' => 'No comment found.<br /><br /><span style="text-decoration: underline">Help</span>:<br /><br /><ul><li>Search is performed in case-insensitive fashion.</li><li>All terms separated by a space (\' \') are included in search. To restrict a search, just include more terms.</li><li>A question mark (\'?\') replaces a single character in a word.</li></ul>',
'COMMENTS_SEARCH_ERROR3' => 'You must supply a valid search string: at least 2 characters long and composed of letters (accented or not) or digits.',
'COMMENTS_SEARCH_HEADER' => 'Query result for string "<span style="font-weight: bold">%s</span>", %s comment(s) found.',
'COMMENTS_SEARCH_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'COMMENTS_SEARCH_TITLE' => 'Comments - Search',
'COMMENTS_WHATSNEW_ERROR1' => 'There is no new comment since your last visit.',
'COMMENTS_WHATSNEW_ERROR2' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'COMMENTS_WHATSNEW_HEADER' => '%s comment(s) was/were added in %s news since your last visit.',
'COMMENTS_WHATSNEW_TITLE' => 'Comments - What\'s new?',
/****************/
/***** News *****/
/****************/
'NEWS_BROWSE_HEADER' => 'You have the possibility to access to all the news available in the database. Simply choose a category name and/or a month of release and/or a year of release to display related news.',
'NEWS_BROWSE_TITLE' => 'News - Browse',
'NEWS_INDEX_COMMENT' => 'Comment this news',
'NEWS_INDEX_ERROR' => 'There is no element to display the way you selected to sort the news.',
'NEWS_INDEX_HEADER' => 'Welcome to %s.<br />The time now is %s.',
'NEWS_INDEX_PAGES' => 'Page: %s',
'NEWS_INDEX_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'NEWS_INDEX_SEND' => 'Send to friend',
'NEWS_INDEX_SOURCE' => 'Source: %s',
'NEWS_INDEX_TITLE' => 'News - Index',
'NEWS_INDEX_WHATSNEW' => '<br />%s news and <a href="./../comments/whatsnew.php" title="%2$s comment(s)">%s comment(s)</a> were added since your last visit.',
'NEWS_SEARCH_ERROR1' => 'More than %s news contain the search string. Please specify your search.',
'NEWS_SEARCH_ERROR2' => 'No news found.<br /><br /><span style="text-decoration: underline">Help</span>:<br /><br /><ul><li>Search is performed in case-insensitive fashion.</li><li>All terms separated by a space (\' \') are included in search. To restrict a search, just include more terms.</li><li>A question mark (\'?\') replaces a single character in a word.</li></ul>',
'NEWS_SEARCH_ERROR3' => 'You must supply a valid search string: at least 2 characters long and composed of letters (accented or not) or digits.',
'NEWS_SEARCH_HEADER' => 'Query result for string "<span style="font-weight: bold">%s</span>", %s news found.',
'NEWS_SEARCH_TITLE' => 'News - Search',
'NEWS_SEND_DISABLED' => 'News sending function is disabled.',
'NEWS_SEND_ERROR' => 'This page contains no data.',
'NEWS_SEND_HTML' => 'Hello,<br /><br />Your friend %s considered the following news interesting and wanted to send it to you:<br /><br /><span style="font-weight: bold">%s</span><br /><br />%s<br /><br />For more details: <a href="%s" title="%5$s">%s</a>',
'NEWS_SEND_HEADER' => 'To send this news to several persons, use a comma to separate e-mail addresses.<br /><br />All fields are required.',
'NEWS_SEND_PLAIN' => "Hello,\n\nYour friend %s considered the following news interesting and wanted to send it to you:\n\n%s\n\n%s\n\nFor more details: %s\n",
'NEWS_SEND_SUBJECT' => '%s - News notification',
'NEWS_SEND_SUCCESS' => 'The news was successfully sent to your friend.',
'NEWS_SEND_TITLE' => 'News - Send',
'NEWS_SUBMIT_DISABLED' => 'News submitting function is disabled.',
'NEWS_SUBMIT_ERROR1' => 'You can only submit one news at a time. As soon as a moderator will validate your previous news, you will be authorized to submit a new one.',
'NEWS_SUBMIT_ERROR2' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'NEWS_SUBMIT_HEADER' => 'If none of the actual categories are suitable for your news, you can specify at the beginning of your text the category you would like us to create.<br /><br />All fields are required except news source (however a source is recommended in order to perform some verifications).<br /><br />If HTML language is enabled and you want to use it, please check start and end tags.',
'NEWS_SUBMIT_SUCCESS' => 'Your news was successfully submitted. Please wait until a moderator read it.',
'NEWS_SUBMIT_TITLE' => 'News - Submit',
/*****************/
/***** Polls *****/
/*****************/
'POLLS_INDEX_ERROR' => 'No poll available.',
'POLLS_INDEX_HEADER' => 'Polls list:',
'POLLS_INDEX_PAGES' => 'Page: %s',
'POLLS_INDEX_TITLE' => 'Polls - Index',
'POLLS_INDEX_VOTES' => '%s votes',
'POLLS_VIEW_ERROR' => 'This page contains no data.',
'POLLS_VIEW_HEADER' => 'Poll results:',
'POLLS_VIEW_OTHER' => 'Other polls',
'POLLS_VIEW_TITLE' => 'Polls - View',
'POLLS_VIEW_TOTAL' => 'Total votes: %s',
'POLLS_VOTE_ERROR1' => 'Your last vote is less than %s day(s) old. Please wait.',
'POLLS_VOTE_ERROR2' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'POLLS_VOTE_ERROR3' => 'This page contains no data.',
'POLLS_VOTE_HEADER' => 'You must be <a href="./../users/login.php" title="Log in">logged</a> in to vote.',
'POLLS_VOTE_OTHER' => 'Other polls',
'POLLS_VOTE_RESULTS' => 'Results',
'POLLS_VOTE_SUCCESS' => 'The vote was successfully added.',
'POLLS_VOTE_TITLE' => 'Polls - Vote',
/*****************/
/***** Posts *****/
/*****************/
'POSTS_ADD_ERROR1' => 'Your last post is less than %s seconds old. Please wait.',
'POSTS_ADD_ERROR2' => 'This thread is closed.',
'POSTS_ADD_ERROR3' => 'This page contains no data.',
'POSTS_ADD_ERROR4' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'POSTS_ADD_SUCCESS' => 'The post was successfully added.',
'POSTS_ADD_TITLE' => 'Posts - Add',
'POSTS_EDIT_ERROR1' => 'You are not allowed to edit this post.',
'POSTS_EDIT_ERROR2' => 'This thread is closed.',
'POSTS_EDIT_ERROR3' => 'This page contains no data.',
'POSTS_EDIT_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'POSTS_EDIT_SUCCESS' => 'The post was successfully edited.',
'POSTS_EDIT_TITLE' => 'Posts - Edit',
'POSTS_INDEX_CATEGORIES' => 'Categories',
'POSTS_INDEX_ERROR' => 'No category available.',
'POSTS_INDEX_LAST_POST' => 'Last post',
'POSTS_INDEX_POSTS' => 'Posts',
'POSTS_INDEX_THREADS' => 'Threads',
'POSTS_INDEX_TITLE' => 'Posts - Index',
'POSTS_LIST_ERROR1' => 'You are not allowed to access this private category.',
'POSTS_LIST_ERROR2' => 'No thread available.',
'POSTS_LIST_ERROR3' => 'This category contains no data.',
'POSTS_LIST_ERROR4' => 'This page contains no data.',
'POSTS_LIST_FIRST_POST' => 'First post',
'POSTS_LIST_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'POSTS_LIST_LAST_PAGE' => 'Last page',
'POSTS_LIST_LAST_POST' => 'Last post',
'POSTS_LIST_PAGES' => 'Page: %s',
'POSTS_LIST_REPLIES' => 'Replies',
'POSTS_LIST_THREADS' => 'Threads',
'POSTS_LIST_TITLE' => 'Posts - List',
'POSTS_PREVIEW_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'POSTS_PREVIEW_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'POSTS_READ_EDIT' => 'Edit this post',
'POSTS_READ_EDITION' => '<br />-- <span style="font-size: 9px; font-style: italic;">Edited on %s</span> --',
'POSTS_READ_ERROR' => 'This page contains no data.',
'POSTS_READ_HEADER' => 'If HTML language is enabled and you want to use it, please check start and end tags.',
'POSTS_READ_PAGES' => 'Page: %s',
'POSTS_READ_PREVIOUS' => 'Re: ',
'POSTS_READ_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'POSTS_READ_TITLE' => 'Posts - Read',
'POSTS_SEARCH_ERROR1' => 'More than %s posts contain the search string. Please specify your search.',
'POSTS_SEARCH_ERROR2' => 'No post found.<br /><br /><span style="text-decoration: underline">Help</span>:<br /><br /><ul><li>Search is performed in case-insensitive fashion.</li><li>All terms separated by a space (\' \') are included in search. To restrict a search, just include more terms.</li><li>A question mark (\'?\') replaces a single character in a word.</li></ul>',
'POSTS_SEARCH_ERROR3' => 'You must supply a valid search string: at least 2 characters long and composed of letters (accented or not) or digits.',
'POSTS_SEARCH_HEADER' => 'Query result for string "<span style="font-weight: bold">%s</span>", %s post(s) found.',
'POSTS_SEARCH_RELEASE' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> on %s',
'POSTS_SEARCH_TITLE' => 'Posts - Search',
/*****************/
/***** Users *****/
/*****************/
'USERS_INFO_ERROR1' => 'There is no information available for this user.',
'USERS_INFO_ERROR2' => 'This page contains no data.',
'USERS_INFO_HEADER' => 'Profile of %s:',
'USERS_INFO_TITLE' => 'Users - Info',
'USERS_LOGIN_ERROR1' => 'You are already logged in.',
'USERS_LOGIN_ERROR2' => 'Username and password don\'t match. Please try again.',
'USERS_LOGIN_ERROR3' => 'This user is not allowed to log in or his account has not been activated yet.',
'USERS_LOGIN_HEADER' => 'Username and password are required to log in.<br />You\'re not registered yet? So, please <a href="./../users/register.php" title="Register">register</a>.<br /><br /><span class="warning">You must have cookies enabled in your browser!</span>',
'USERS_LOGIN_SUCCESS' => 'You have successfully logged in.',
'USERS_LOGIN_TITLE' => 'Users - Login',
'USERS_LOGOUT_ERROR' => 'You have no session that need to be destroyed.',
'USERS_LOGOUT_SUCCESS' => 'You have successfully logged out.',
'USERS_LOGOUT_TITLE' => 'Users - Log out',
'USERS_PASSWORD_ERROR1' => 'You must supply a username or an e-mail address.',
'USERS_PASSWORD_ERROR2' => 'Username or e-mail address is unknown. Please try again.',
'USERS_PASSWORD_HEADER' => 'You have forgotten your password? Then, fill in the form below and a new password (automatically generated) will be e-mailed to you.<br /><br />You can enter either your username or your e-mail address.<br /><br />Remember that you will be able to modify this new generated password if you wish (editing your profile).',
'USERS_PASSWORD_MESSAGE' => "Hello,\n\nHere's your new generated password: %s\nRemember that you will be able to modify this password if you wish. Just edit your profile and fill in your new personal password.\n\nBest regards,\n\n%s\n%s\n",
'USERS_PASSWORD_SUBJECT' => '%s - Your new password',
'USERS_PASSWORD_SUCCESS' => 'Your new password was successfully sent to your e-mail address.',
'USERS_PASSWORD_TITLE' => 'Users - Password',
'USERS_PROFILE_ERROR1' => 'Your password must be at least %s characters long.<br />',
'USERS_PROFILE_ERROR2' => 'Passwords don\'t match.<br />',
'USERS_PROFILE_ERROR3' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'USERS_PROFILE_HEADER' => 'If you don\'t want to change your password, leave the two password fields empty.<br /><br />Remember that a valid e-mail address is required to send you a new password if you forget the one you have assigned.<br /><br />Date format is based on <a href="http://www.php.net/en/date" title="PHP date function">PHP date function</a> (example: D, M jS Y, g:i a).',
'USERS_PROFILE_SUCCESS' => 'Your profile was successfully updated.',
'USERS_PROFILE_TITLE' => 'Users - Profile',
'USERS_REGISTER_DISABLED' => 'Users registration function is disabled.',
'USERS_REGISTER_ERROR1' => 'You are already registered.',
'USERS_REGISTER_ERROR2' => 'This account does not need to be activated.',
'USERS_REGISTER_ERROR3' => 'Username must be at least %s characters long.<br />',
'USERS_REGISTER_ERROR4' => 'The name you choose is already registered by another user.<br />',
'USERS_REGISTER_ERROR5' => 'Your password must be at least %s characters long.<br />',
'USERS_REGISTER_ERROR6' => 'Passwords don\'t match.<br />',
'USERS_REGISTER_ERROR7' => 'The e-mail address you choose is already registered by another user.<br />',
'USERS_REGISTER_ERROR8' => 'Invalid CAPTCHA.<br />',
'USERS_REGISTER_HEADER' => 'Since you can hide it, please enter a valid e-mail address. It will be required to send you a new password if you forget the one you have assigned, for example. Moreover, an e-mail will be sent to you with instructions to complete your registration (otherwise you will not be able to log in).<br /><br />Date format is based on <a href="http://www.php.net/en/date" title="PHP date function">PHP date function</a> (example: D, M jS Y, g:i a).<br /><br />If you don\'t understand which values date format and date offset must have, leave fields as they are (for site default settings).',
'USERS_REGISTER_MESSAGE' => "Hello %s,\n\nThank you for registering on %s website. In order to complete your registration, visit the following URL:\n\n%s\n\nBest regards,\n%s\n",
'USERS_REGISTER_SUBJECT' => '%s - Your account activation',
'USERS_REGISTER_SUCCESS1' => 'Your account was successfully activated. You can now <a href="./../users/login.php" title="Log in">log in</a>.',
'USERS_REGISTER_SUCCESS2' => 'You were successfully added to our registered users. To complete your registration, an e-mail was sent to you. Please follow the instructions to activate your account.',
'USERS_REGISTER_TITLE' => 'Users - Register',
/*****************/
/***** Other *****/
/*****************/
'BACK_ADMIN_ADVANCED' => 'Back to advanced administration section',
'BACK_ADMIN_INDEX' => 'Back to administration section',
'BACK_CATEGORIES_INDEX' => 'Back to categories index',
'BACK_HOME' => 'Back to home',
'BACK_THREADS_INDEX' => 'Back to threads index',
'CONTINUE' => 'Continue',
//--------------------------------------------------
'ENGLISH' => 'English',
'FRENCH' => 'Fran&ccedil;ais',
'GERMAN' => 'Deutsch',
'POLISH' => 'Polski',
'SPANISH' => 'Espa&ntilde;ol',
//--------------------------------------------------
'JANUARY' => 'January',
'FEBRUARY' => 'February',
'MARCH' => 'March',
'APRIL' => 'April',
'MAY' => 'May',
'JUNE' => 'June',
'JULY' => 'July',
'AUGUST' => 'August',
'SEPTEMBER' => 'September',
'OCTOBER' => 'October',
'NOVEMBER' => 'November',
'DECEMBER' => 'December',
//--------------------------------------------------
'DATE' => 'Date',
'MONTH' => 'Month',
'YEAR' => 'Year',
//--------------------------------------------------
'NO' => 'No',
'YES' => 'Yes',
//--------------------------------------------------
'ADD' => 'Add',
'BROWSE' => 'Browse',
'DELETE' => 'Delete',
'EDIT' => 'Edit',
'LOGIN' => 'Log in',
'PREVIEW' => 'Preview',
'REGISTER' => 'Register',
'SEARCH' => 'Search',
'SEND' => 'Send',
'SUBMIT' => 'Submit',
'VOTE' => 'Vote',
//--------------------------------------------------
'NEXT_PAGE' => 'Next page',
'PREVIOUS_PAGE' => 'Previous page',
//--------------------------------------------------
'ADMIN' => 'Administrator',
'ADVANCED_MODERATOR' => 'Advanced moderator',
'BANNED' => 'Banned',
'MODERATOR' => 'Moderator',
'PUBLIC' => 'Public',
//--------------------------------------------------
'FORM_AUDIO' => 'Audio',
'FORM_ACCOUNTS_EXPIRY' => 'Accounts expiry (days):',
'FORM_ALLOW_HTML' => 'Allow HTML?',
'FORM_ALLOW_SMILIES' => 'Allow smilies?',
'FORM_ANSWER_TEXT' => 'Answers:',
'FORM_CATEGORY_IMAGE' => 'Category image:',
'FORM_CATEGORY_LEVEL' => 'Category level:',
'FORM_CATEGORY_NAME' => 'Category name:',
'FORM_COMMENT_SUBJECT' => 'Comment subject:',
'FORM_COMMENT_TEXT' => 'Comment text:',
'FORM_COMMENTS_PER_PAGE' => 'Comments per page:',
'FORM_COOKIES_EXPIRY' => 'Cookies expiry (days):',
'FORM_CURRENT_IMAGE' => 'Current image:',
'FORM_DATE_FORMAT' => 'Date format:',
'FORM_DATE_OFFSET' => 'Date offset (hours):',
'FORM_FRIEND_EMAIL' => 'Friend e-mail:',
'FORM_HEADLINES_PER_BACKEND' => 'Headlines per backend:',
'FORM_HTML_EMAIL' => 'Send HTML e-mail?',
'FORM_IMAGE' => 'Image',
'FORM_IN_SUBJECT' => 'in subjects',
'FORM_IN_TEXT' => 'in texts',
'FORM_LANGUAGE' => 'Language:',
'FORM_MAX_TEXTS_LENGTH' => 'Max length of texts:',
'FORM_MEDIA_FILE' => 'File:',
'FORM_MEDIA_NAME' => 'New name (without extension):',
'FORM_MEDIA_TYPE' => 'Type:',
'FORM_MIN_PASSWORDS_LENGTH' => 'Min length of passwords:',
'FORM_MIN_USERNAMES_LENGTH' => 'Min length of usernames:',
'FORM_NEWS_CATEGORY' => 'News category:',
'FORM_NEWS_MONTH' => 'News month:',
'FORM_NEWS_ORDER' => 'News order:',
'FORM_NEWS_PER_PAGE' => 'News per page:',
'FORM_NEWS_SOURCE' => 'News source:',
'FORM_NEWS_SUBJECT' => 'News subject:',
'FORM_NEWS_TEXT' => 'News text:',
'FORM_NEWS_YEAR' => 'News year:',
'FORM_PAGES_LIMIT' => 'Pages limit:',
'FORM_POLLS_PER_PAGE' => 'Polls per page:',
'FORM_POST_ACTIVE' => 'Close?',
'FORM_POST_CATEGORY' => 'Post category:',
'FORM_POST_STICKY' => 'Sticky post?',
'FORM_POST_SUBJECT' => 'Post subject:',
'FORM_POST_TEXT' => 'Post text:',
'FORM_POSTS_INTERVAL' => 'Posts interval (seconds):',
'FORM_POSTS_PER_PAGE' => 'Posts per page:',
'FORM_QUESTION_COMMENT' => 'Comment:',
'FORM_QUESTION_TEXT' => 'Question:',
'FORM_REGISTER_USERS' => 'Allow users registration?',
'FORM_SEARCH_LIMIT' => 'Search limit:',
'FORM_SEND_NEWS' => 'Allow news sending?',
'FORM_SENDER_EMAIL' => 'Sender e-mail:',
'FORM_SENDER_NAME' => 'Sender name:',
'FORM_SETTINGS_ONLY' => 'only',
'FORM_SITENAME' => 'Site name:',
'FORM_SITEURL' => 'Site URL:',
'FORM_SMILEY_CODE' => 'Smiley code:',
'FORM_SMILEY_IMAGE' => 'Smiley image:',
'FORM_SUBMIT_NEWS' => 'Allow news submitting?',
'FORM_TEMPLATE' => 'Template:',
'FORM_TEMPLATE_CONTENT' => 'Content:',
'FORM_THREADS_PER_PAGE' => 'Threads per page:',
'FORM_USER_AGE' => 'Age:',
'FORM_USER_BIRTHDAY' => 'Birthday:',
'FORM_USER_CAPTCHA' => '<a href="http://en.wikipedia.org/wiki/CAPTCHA" title="CAPTCHA">CAPTCHA</a>:',
'FORM_USER_COMMENTS' => 'Comments:',
'FORM_USER_CREATION' => 'Creation:',
'FORM_USER_DATE_FORMAT' => 'Date format:',
'FORM_USER_DATE_OFFSET' => 'Date offset (hours):',
'FORM_USER_DAY' => 'Day',
'FORM_USER_EMAIL' => 'E-mail:',
'FORM_USER_IP' => 'IP address:',
'FORM_USER_LANGUAGE' => 'Language:',
'FORM_USER_LEVEL' => 'Level:',
'FORM_USER_LOCATION' => 'Location:',
'FORM_USER_MONTH' => 'Month',
'FORM_USER_NAME' => 'Username:',
'FORM_USER_OCCUPATION' => 'Occupation(s):',
'FORM_USER_PASSWORD' => 'Password:',
'FORM_USER_PASSWORD2' => 'Password (confirmation):',
'FORM_USER_POSTS' => 'Posts:',
'FORM_USER_TEMPLATE' => 'Template:',
'FORM_USER_VIEWEMAIL' => 'Allow my e-mail address to be displayed?',
'FORM_USER_VOTES' => 'Votes:',
'FORM_USER_WEBSITE' => 'Website:',
'FORM_USER_YEAR' => 'Year',
'FORM_USERS_PER_PAGE' => 'Users per page:',
'FORM_VIDEO' => 'Video',
'FORM_VOTES_INTERVAL' => 'Votes interval (days):',
//--------------------------------------------------
'FOOTER_COPYRIGHT' => '<a href="http://www.gnew.fr/" title="GENU">GENU</a> %s, Copyright &copy; 2003-2012 Raoul Proen&ccedil;a',
'FOOTER_GENERATION' => 'Page generated in %s with %s SQL queries',
//--------------------------------------------------
'HEADER_ADMIN' => 'Administration',
'HEADER_BROWSE_NEWS' => 'Browse news',
'HEADER_FORUM' => 'Forum',
'HEADER_HOME' => 'Home',
'HEADER_LOGIN' => '<a href="./../users/login.php" title="Log in">Log in</a>',
'HEADER_LOGOUT' => '<a href="./../users/logout.php" title="Log out">Log out</a> (%s)',
'HEADER_MENU' => 'Menu',
'HEADER_ONLINE_USERS' => 'Currently, there are %s guest(s) and %s registered user(s) online.',
'HEADER_PASSWORD' => 'Forgot password?',
'HEADER_POLLS' => 'Polls',
'HEADER_PROFILE' => 'My profile',
'HEADER_REGISTER' => 'Register',
'HEADER_SUBMIT_NEWS' => 'Submit news',
'HEADER_USERS' => 'Users',
//--------------------------------------------------
'HTML_DISABLED' => 'HTML language is disabled.',
'HTML_ENABLED' => 'HTML language is enabled.',
//--------------------------------------------------
'INVALID_BACKEND_FILE' => 'Invalid backend file.<br />',
'INVALID_IMAGE_FILE' => 'Invalid image file.<br />',
'INVALID_MEDIA_TYPE' => 'Invalid type.<br />',
'INVALID_USER_EMAIL' => 'Invalid e-mail address.<br />',
'INVALID_USER_NAME' => 'Invalid username.<br />',
//--------------------------------------------------
'NO_ANSWER_TEXT' => 'You must supply an answer.<br />',
'NO_CATEGORY_IMAGE' => 'You must supply a category image.<br />',
'NO_CATEGORY_NAME' => 'You must supply a category name.<br />',
'NO_COMMENT_SUBJECT' => 'You must supply a comment subject.<br />',
'NO_COMMENT_TEXT' => 'You must supply a comment text.<br />',
'NO_DATE_FORMAT' => 'You must supply a date format.<br />',
'NO_DATE_OFFSET' => 'You must supply a date offset.<br />',
'NO_FRIEND_EMAIL' => 'You must supply your friend e-mail address.<br />',
'NO_MEDIA_FILE' => 'You must supply a file.<br />',
'NO_NEWS_SUBJECT' => 'You must supply a news subject.<br />',
'NO_NEWS_TEXT' => 'You must supply a news text.<br />',
'NO_POST_SUBJECT' => 'You must supply a post subject.<br />',
'NO_POST_TEXT' => 'You must supply a post text.<br />',
'NO_QUESTION_TEXT' => 'You must supply a question.<br />',
'NO_SITENAME' => 'You must supply a site name.<br />',
'NO_SITEURL' => 'You must supply a site URL.<br />',
'NO_SMILEY_CODE' => 'You must supply a smiley code.<br />',
'NO_SMILEY_IMAGE' => 'You must supply a smiley image.<br />',
'NO_USER_EMAIL' => 'You must supply an e-mail address.<br />',
'NO_USER_NAME' => 'You must supply a username.<br />',
'NO_USER_PASSWORD' => 'You must supply a password.<br />'
//--------------------------------------------------
);

?>